<?php
  global $wpdb;
  if (!defined('WPLANG') || WPLANG == '') {
      define('DPS_WPLANG', 'en_GB');
  } else {
      define('DPS_WPLANG', WPLANG);
  }
  if(!defined('DS')) define('DS', DIRECTORY_SEPARATOR);
  define('DPS_PLUG_NAME', basename(dirname(__FILE__)));
  define('DPS_DIR', WP_PLUGIN_DIR. DS. DPS_PLUG_NAME. DS);
  define('DPS_TPL_DIR', DPS_DIR. 'tpl'. DS);
  define('DPS_CLASSES_DIR', DPS_DIR. 'classes'. DS);
  define('DPS_TABLES_DIR', DPS_CLASSES_DIR. 'tables'. DS);
	define('DPS_HELPERS_DIR', DPS_CLASSES_DIR. 'helpers'. DS);
  define('DPS_LANG_DIR', DPS_DIR. 'languages'. DS);
  define('DPS_IMG_DIR', DPS_DIR. 'img'. DS);
  define('DPS_TEMPLATES_DIR', DPS_DIR. 'templates'. DS);
  define('DPS_MODULES_DIR', DPS_DIR. 'modules'. DS);
  define('DPS_FILES_DIR', DPS_DIR. 'files'. DS);
  define('DPS_ADMIN_DIR', ABSPATH. 'wp-admin'. DS);
	define('DPS_PLUGINS_URL', plugins_url());
  define('DPS_SITE_URL', get_bloginfo('wpurl'). '/');
  define('DPS_JS_PATH', DPS_PLUGINS_URL. '/'. DPS_PLUG_NAME. '/js/');
  define('DPS_CSS_PATH', DPS_PLUGINS_URL. '/'. DPS_PLUG_NAME. '/css/');
  define('DPS_IMG_PATH', DPS_PLUGINS_URL. '/'. DPS_PLUG_NAME. '/img/');
  define('DPS_MODULES_PATH', DPS_PLUGINS_URL. '/'. DPS_PLUG_NAME. '/modules/');
  define('DPS_TEMPLATES_PATH', DPS_PLUGINS_URL. '/'. DPS_PLUG_NAME. '/templates/');
  define('DPS_ASSETS_PATH', plugins_url().'/'.basename(dirname(__FILE__)).'/assets/');
  define('DPS_JS_DIR', DPS_DIR. 'js/');
  define('DPS_URL', DPS_SITE_URL);
  define('DPS_LOADER_IMG', DPS_IMG_PATH. 'loading.gif');
	define('DPS_TIME_FORMAT', 'H:i:s');
  define('DPS_DATE_DL', '/');
  define('DPS_DATE_FORMAT', 'm/d/Y');
  define('DPS_DATE_FORMAT_HIS', 'm/d/Y ('. DPS_TIME_FORMAT. ')');
  define('DPS_DATE_FORMAT_JS', 'mm/dd/yy');
  define('DPS_DATE_FORMAT_CONVERT', '%m/%d/%Y');
  define('DPS_WPDB_PREF', $wpdb->prefix);
  define('DPS_DB_PREF', 'dps_');
  define('DPS_MAIN_FILE', 'dps.php');
  define('DPS_DEFAULT', 'default');
  define('DPS_CURRENT', 'current');
	define('DPS_EOL', "\n");
  define('DPS_PLUGIN_INSTALLED', true);
  define('DPS_VERSION', '1.7.5');
  define('DPS_USER', 'user');
  define('DPS_CLASS_PREFIX', 'dpsc');
  define('DPS_FREE_VERSION', false);
	define('DPS_TEST_MODE', true);
  define('DPS_SUCCESS', 'Success');
  define('DPS_FAILED', 'Failed');
	define('DPS_ERRORS', 'dpsErrors');
	define('DPS_ADMIN',	'admin');
	define('DPS_LOGGED','logged');
	define('DPS_GUEST',	'guest');
	define('DPS_ALL',		'all');
	define('DPS_METHODS',		'methods');
	define('DPS_USERLEVELS',	'userlevels');
	/**
	 * Framework instance code
	 */
	define('DPS_CODE', 'dps');
	define('DPS_LANG_CODE', 'digital-publications-by-supsystic');
	/**
	 * Plugin name
	 */
	define('DPS_WP_PLUGIN_NAME', 'Digital Publications by Supsystic');
	/**
	 * Custom defined for plugin
	 */
	define('DPS_BOOK', 'dps_book');
	define('DPS_PAGE', 'dps_page');
