<div style="clear: both;"></div>
	<div class="dpsTabsShell">
		<h2 class="nav-tab-wrapper">
			<a class="nav-tab dpsUnselectable" href="#dpsAdminBookProperties"><i class="fa fa-book"></i><span><?php _e('Properties', DPS_LANG_CODE)?></span></a>
			<a class="nav-tab dpsUnselectable" href="#dpsAdminBookPages"><i class="fa fa-columns"></i><span><?php _e('All Pages', DPS_LANG_CODE)?></span></a>
			<a class="nav-tab dpsUnselectable" href="#dpsAdminBookBatchWpImages"><i class="fa fa-plus-square"></i><span><?php _e('WP Gallery', DPS_LANG_CODE)?></span></a>
			<a class="nav-tab dpsUnselectable" href="#dpsAdminBookBatchFtpImages"><i class="fa fa-plus-square"></i><span><?php _e('Folder', DPS_LANG_CODE)?></span></a>
			<a class="nav-tab dpsUnselectable notTab dpsAddPageTab" href="<?php echo esc_attr($this->addBookPageUrl)?>" target="_blank"><i class="fa fa-plus-square"></i><span><?php _e('Custom Page', DPS_LANG_CODE)?></span></a>
			<?php if(!empty($this->addTabs)) { ?>
				<?php foreach($this->addTabs as $tabId => $tab) { ?>
					<a class="nav-tab dpsUnselectable <?php echo (isset($tab['promo']) && $tab['promo']) ? 'dpsPromoTab' : ''?>" href="#<?php echo esc_attr($tabId)?>">
						<?php echo $tab['label']?>
						<?php if(isset($tab['promo']) && $tab['promo']) { ?>
							<i class="dpsPromo">PRO</i>
						<?php }?>
					</a>
				<?php }?>
			<?php }?>
			<div id="dpsActionButtons" style="margin: 10px 0px; text-align: right;"></div>
		</h2>
		<div id="dpsAdminBookProperties" class="dpsTabContent"></div>
		<div id="dpsAdminBookPages" class="dpsTabContent">
			<?php if($this->book->pages) { ?>
				<div style="/*height: 25px;*/ line-height: 28px; padding-left: 9px;">
					<label>
						<?php echo htmlDps::checkbox('select_all_pages', array('attrs' => 'id="dpsSelectAllPagesCheck"'))?>
						<?php _e('Select all', DPS_LANG_CODE)?>
					</label>
					<a href="" class="dpsRemovePagesBtn button" style="display: none;"><?php _e('Delete selected', DPS_LANG_CODE)?></a>
					<span id="dpsRemovePagesMsg"></span>
				</div>
			<?php }?>
			<ul id="dpsAdminBookPagesShell" class="dpsTemplatesList">
				<?php if($this->book->pages) { ?>
					<?php foreach($this->book->pages as $page) { ?>
					<li class="dpsTemplatePrevShell dpsTemplatePrevShell-existing dpsTemplatePrevShell-<?php echo esc_attr($page->ID)?> <?php echo ($page->attach_id ? 'dpsPageImg' : '')?>" data-id="<?php echo esc_attr($page->ID)?>">
						<div class="dpsTemplateInnerContent">
							<h2 title="<?php echo esc_attr($page->post_title)?>" style="text-align: center; color: #454545">
								<?php echo htmlDps::checkbox('remove_page_check', array('attrs' => 'class="dpsRemovePageCheck"'))?>
								<span class="dpsTemplatePageTitle"><?php echo esc_attr($page->post_title)?></span>
								<div class="dpsPagePrevMsg"></div>
							</h2><hr />
                     <?php $content = $page->post_content;
                           $contentReplaced = preg_replace(array("<li>","</li>","<ul>","</ul>","<ol>","</ol>"),'',$content);
                           $contentReplaced = preg_replace("/<>/i", "", $contentReplaced);
                           $contentReplaced = preg_replace("/<img/i", "<img style='width:100% !important; height:auto !important;'", $contentReplaced);
                     ?>
							<div class="dpsTemplatePrevContent"><?php echo ($contentReplaced)?></div>
						</div>
						<div class="dpsTemplatePrevPageNum"></div>
						<div class="dpsTemplatePrevActionShell">
							<?php if(isset($page->attach_id) && $page->attach_id && $this->gdSupport) {	// Those features retuire GD support?>
							<a href="#" onclick="dpsSplitBtn(this); return false;" class="dpsPagePrevActLink dpsSplitLink" title="<?php _e('Split into 2 pages', DPS_LANG_CODE)?>"></a>
							<a href="#" onclick="dpsMergeBtn(this); return false;" class="dpsPagePrevActLink dpsMergeLink" title="<?php _e('Merge 2 nearest pages', DPS_LANG_CODE)?>"></a>
							<?php }?>
							<a href="<?php echo esc_attr($page->edit_link)?>" target="_blank" class="dashicons dashicons-before dashicons-edit" title="<?php _e('Edit', DPS_LANG_CODE)?>"></a>
							<a href="#" class="dashicons dashicons-before dashicons-trash dpsAdminBookRemovePageBtn" title="<?php _e('Remove', DPS_LANG_CODE)?>"></a>
						</div>
					</li>
					<?php } ?>
				<?php } ?>
			</ul>
			<?php echo htmlDps::hidden('dps[pages_sort_order]');?>
		</div>
		<div id="dpsAdminBookBatchWpImages" class="dpsTabContent">
			<?php echo htmlDps::imgGalleryBtn('add_batch_images', array('value' => __('Select images'), 'onChange' => 'dpsAddImgForBatchPage', 'attrs' => 'class="button"', DPS_LANG_CODE))?>
			<span class="dpsBookAddPagesSubmitShell">
				<?php echo htmlDps::button(array('value' => __('Clear'), 'attrs' => 'class="button" onclick="dpsClearBatch(\'#dpsAdminBookAddBatchFromImagesTbl\'); return false;"', DPS_LANG_CODE))?>
				<?php echo htmlDps::button(array('value' => __('Sort by title'). '<span class="dpsBatchSortDirIcon dashicons dashicons-arrow-down"></span>', 'attrs' => 'class="button dpsSortBatchBtn" onclick="dpsSortBatch(\'#dpsAdminBookAddBatchFromImagesTbl\', \'title\'); return false;"', DPS_LANG_CODE))?>
				<?php echo htmlDps::button(array('value' => __('Create pages'), 'attrs' => 'class="button button-primary dpsAddBatchImgages dpsAdminCreateBatchPagesFromImagesBtn" data-bookid="'. esc_attr($this->book->term_id). '"', DPS_LANG_CODE))?>
			</span>
			<span class="dpsAdminCreateBatchPagesFromImagesMsg"></span>
			<br /><br />
			<ul id="dpsAdminBookAddBatchFromImagesTbl" class="dpsTemplatesList">
				<li class="dpsRowExample dpsTemplatePrevShell dpsTemplatePrevShell-existing">
					<div class="dpsTemplateInnerContent">
						<h2 style="text-align: center; color: #454545; padding: 4px 0px;">
							<?php echo htmlDps::text('batch_pages[titles][]', array('attrs' => 'placeholder="'. __('Enter page name ... (not required)').'" style="width: 90%;"', DPS_LANG_CODE))?>
							<?php echo htmlDps::hidden('batch_pages[attach_id][]')?>
						</h2>
						<hr />
						<img src="" class="dpsTemplateImg" />
					</div>
					<div class="dpsTemplatePrevPageNum"></div>
					<div class="dpsTemplatePrevActionShell">
						<a href="#" class="dashicons dashicons-before dashicons-trash" onclick="dpsAdminRemoveAddRow(this); return false;" title="<?php _e('Remove', DPS_LANG_CODE)?>"></a>
					</div>
				</li>
			</ul>
			<div style="clear: both;"></div>
			<div class="dpsBookAddPagesSubmitShell">
				<?php echo htmlDps::imgGalleryBtn('add_batch_images', array('value' => __('Select images'), 'onChange' => 'dpsAddImgForBatchPage', 'attrs' => 'class="button"', DPS_LANG_CODE))?>
				<?php echo htmlDps::button(array('value' => __('Clear'), 'attrs' => 'class="button" onclick="dpsClearBatch(\'#dpsAdminBookAddBatchFromImagesTbl\'); return false;"', DPS_LANG_CODE))?>
				<?php echo htmlDps::button(array('value' => __('Sort by title'). '<span class="dpsBatchSortDirIcon dashicons dashicons-arrow-down"></span>', 'attrs' => 'class="button dpsSortBatchBtn" onclick="dpsSortBatch(\'#dpsAdminBookAddBatchFromImagesTbl\', \'title\'); return false;"', DPS_LANG_CODE))?>
				<?php echo htmlDps::button(array('value' => __('Create pages'), 'attrs' => 'class="button button-primary dpsAddBatchImgages dpsAdminCreateBatchPagesFromImagesBtn" data-bookid="'. $this->book->term_id. '"', DPS_LANG_CODE))?>
			</div>
			<span class="dpsAdminCreateBatchPagesFromImagesMsg"></span>
		</div>
		<div id="dpsAdminBookBatchFtpImages" class="dpsTabContent">
			<?php echo htmlDps::text('add_batch_serv_path', array('attrs' => 'style="width: 400px;" placeholder="'. __('Enter images folder name, e.g. my-images'). '"', DPS_LANG_CODE))?>
			<?php echo htmlDps::button(array('value' => __('Parse folder'), 'attrs' => 'class="button" id="dpsAdminAddPagesParseFolderBtn" data-bookid="'. $this->book->term_id. '"', DPS_LANG_CODE))?>
			<span class="dpsBookAddPagesSubmitShell">
				<?php echo htmlDps::button(array('value' => __('Clear'), 'attrs' => 'class="button" onclick="dpsClearBatch(\'#dpsAdminBookAddBatchFromServerDirTbl\'); return false;"', DPS_LANG_CODE))?>
				<?php echo htmlDps::button(array('value' => __('Sort by title'). '<span class="dpsBatchSortDirIcon dashicons dashicons-arrow-down"></span>', 'attrs' => 'class="button dpsSortBatchBtn" onclick="dpsSortBatch(\'#dpsAdminBookAddBatchFromServerDirTbl\', \'title\'); return false;"', DPS_LANG_CODE))?>
				<?php echo htmlDps::button(array('value' => __('Create pages'), 'attrs' => 'class="button button-primary dpsAddBatchImgages dpsAdminCreateBatchPagesFromServerDirBtn" data-bookid="'. $this->book->term_id. '"', DPS_LANG_CODE))?>
			</span>
			<span class="dpsAdminCreateBatchPagesFromServerDirMsg"></span>
			<span id="dpsAdminAddPagesParseFolderMsg"></span><br />
			<i style="display: block; padding: 10px 0px 0px 3px; font-weight: bold;"><?php _e('Note that images folder MUST be in wp-content/uploads directory', DPS_LANG_CODE)?></i><br />
			<ul id="dpsAdminBookAddBatchFromServerDirTbl" class="dpsTemplatesList">
				<li class="dpsRowExample dpsTemplatePrevShell dpsTemplatePrevShell-existing">
					<div class="dpsTemplateInnerContent">
						<h2 style="text-align: center; color: #454545">
							<?php echo htmlDps::text('batch_pages[titles][]', array('attrs' => 'placeholder="'. __('Enter page name ... (not required)').'"', DPS_LANG_CODE))?>
							<?php echo htmlDps::hidden('batch_pages[img_url][]')?>
						</h2>
						<hr />
						<img src="" class="dpsTemplateImg" />
					</div>
					<div class="dpsTemplatePrevPageNum"></div>
					<div class="dpsTemplatePrevActionShell">
						<a href="#" class="dashicons dashicons-before dashicons-trash" onclick="dpsAdminRemoveAddRow(this); return false;" title="<?php _e('Remove', DPS_LANG_CODE)?>"></a>
					</div>
				</li>
			</ul>
			<div style="clear: both;"></div>
			<div class="dpsBookAddPagesSubmitShell">
				<?php echo htmlDps::button(array('value' => __('Clear'), 'attrs' => 'class="button" onclick="dpsClearBatch(\'#dpsAdminBookAddBatchFromServerDirTbl\'); return false;"', DPS_LANG_CODE))?>
				<?php echo htmlDps::button(array('value' => __('Sort by title'). '<span class="dpsBatchSortDirIcon dashicons dashicons-arrow-down"></span>', 'attrs' => 'class="button dpsSortBatchBtn" onclick="dpsSortBatch(\'#dpsAdminBookAddBatchFromServerDirTbl\', \'title\'); return false;"', DPS_LANG_CODE))?>
				<?php echo htmlDps::button(array('value' => __('Create pages'), 'attrs' => 'class="button button-primary dpsAddBatchImgages dpsAdminCreateBatchPagesFromServerDirBtn" data-bookid="'. $this->book->term_id. '"', DPS_LANG_CODE))?>
			</div>
			<span class="dpsAdminCreateBatchPagesFromServerDirMsg"></span>
		</div>
		<?php if(!empty($this->addTabs)) { ?>
			<?php foreach($this->addTabs as $tabId => $tab) { ?>
				<div id="<?php echo esc_attr($tabId)?>" class="dpsTabContent"><?php echo $tab['content']?></div>
			<?php }?>
		<?php }?>
	</div>
<div style="clear: both;"></div>
