<?php
	$title = DPS_WP_PLUGIN_NAME;
?>
<html>
    <head>
        <title><?php langDps::_e( $title )?></title>
    </head>
    <body>
<div style="position: fixed; margin-left: 40%; margin-right: auto; text-align: center; background-color: #fdf5ce; padding: 10px; margin-top: 10%;">
    <div><?php langDps::_e( $title )?></div>
    <?php echo htmlDps::formStart('deactivatePlugin', array('action' => $this->REQUEST_URI, 'method' => $this->REQUEST_METHOD))?>
    <?php
        $formData = array();
        switch($this->REQUEST_METHOD) {
            case 'GET':
                $formData = $this->GET;
                break;
            case 'POST':
                $formData = $this->POST;
                break;
        }
        foreach($formData as $key => $val) {
            if(is_array($val)) {
                foreach($val as $subKey => $subVal) {
                    echo htmlDps::hidden($key. '['. $subKey. ']', array('value' => esc_attr($subVal)));
                }
            } else
                echo htmlDps::hidden($key, array('value' => $val));
        }
    ?>
        <table width="100%">
            <tr>
                <td><?php _e('Delete Plugin Data (options, setup data, database tables, etc.)', DPS_LANG_CODE)?>:</td>
                <td><?php echo htmlDps::radiobuttons('deleteOptions', array('options' => array('No', 'Yes')))?></td>
            </tr>
        </table>
    <?php echo htmlDps::submit('toeGo', array('value' => __('Done', DPS_LANG_CODE)))?>
    <?php echo htmlDps::formEnd()?>
    </div>
</body>
</html>
