<?php
/**
 * Plugin Name: Digital Publications by Supsystic
 * Plugin URI: https://supsystic.com/plugins/digital-publication-plugin/
 * Description: Digital Publication Plugin for Magazines, Catalogs, Portfolios. Convert images, posts, PDF or any HTML to the page flip book
 * Version: 1.7.5
 * Author: supsystic.com
 * Author URI: https://supsystic.com
 * Text Domain: digital-publications-by-supsystic
 * Domain Path: /languages
 **/
    /**
	 * Base config constants and functions
	 */
    require_once(dirname(__FILE__). DIRECTORY_SEPARATOR. 'config.php');
    require_once(dirname(__FILE__). DIRECTORY_SEPARATOR. 'functions.php');
	/**
	 * Connect all required core classes
	 */
    importClassDps('dbDps');
    importClassDps('installerDps');
    importClassDps('baseObjectDps');
    importClassDps('moduleDps');
    importClassDps('modelDps');
    importClassDps('viewDps');
    importClassDps('controllerDps');
    importClassDps('helperDps');
    importClassDps('dispatcherDps');
    importClassDps('fieldDps');
    importClassDps('tableDps');
    importClassDps('frameDps');
	/**
	 * @deprecated since version 1.0.1
	 */
    importClassDps('langDps');
    importClassDps('reqDps');
    importClassDps('uriDps');
    importClassDps('htmlDps');
    importClassDps('responseDps');
    importClassDps('fieldAdapterDps');
    importClassDps('validatorDps');
    importClassDps('errorsDps');
    importClassDps('utilsDps');
    importClassDps('modInstallerDps');
	importClassDps('installerDbUpdaterDps');
	importClassDps('dateDps');
	/**
	 * Check plugin version - maybe we need to update database, and check global errors in request
	 */
    installerDps::update();
    errorsDps::init();
    /**
	 * Start application
	 */
    frameDps::_()->parseRoute();
    frameDps::_()->init();
    frameDps::_()->exec();
