<?php
class pages_importModelDps extends modelDps {
	public function getImportedPages($bookId) {
		$pages = array();
		$bookModule = frameDps::_()->getModule('book');
		$bookParamsDesc = $bookModule->getBookParamsDesc();
		$bookParams = $bookModule->getModel()->getBookParams($bookId);

		if(!empty($bookParams)) {
			foreach($bookParams as $key => $param) {
				if(strpos($key, 'import_') === 0 && empty($bookParamsDesc[$key]['promo'])) {
					$postType = str_replace('import_', '', $key);
					$function = $postType == 'page' ? 'get_pages' : 'get_posts';
					$import = $function( array(
						'post_type' => $postType,
						'post_status' => 'publish',
						'include' => $param,
						'numberposts' => -1,
						'suppress_filters' => true,
					));
					if(!empty($import)){
                        foreach ($import as $key => $page) {
                            if ($postType == 'product') {
                                $import[$key]->product = $this->getModule()->getView()->formatImportedProductPages($page, $bookParams);
                            } else {
                                $import[$key]->post_content = $this->getModule()->getView()->formatImportedPostPages($page, $bookParams);
                            }
                        }
                        $pages = array_merge($pages, $import);
					}
				}
			}
		}

		return $pages;
	}
}